#ifndef MESH_H
#define MESH_H

#include "point.h"
#include "face.h"
#include <vector>
#include <iostream>
#include <string>
#include <map>

class Mesh
{
public:
    Mesh(std::string Name);
    ~Mesh();

    std::string Name;
    std::vector<Point3D*> points;
    std::vector<Face*> faces;

    void ExportToBlender(std::ostream &os);
};

#endif // MESH_H
